# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "tyml_core"
version = "0.1.4"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "TYML: type checker for markup language"
readme = false
license = "MIT"
repository = "https://github.com/tyml-org/tyml/"

[lib]
name = "tyml_core"
path = "src/lib.rs"

[[bin]]
name = "tyml"
path = "src/bin/tyml.rs"

[dependencies.allocator-api2]
version = "0.2.21"

[dependencies.bumpalo]
version = "3.17.0"
features = ["allocator-api2"]

[dependencies.bytes]
version = "1"

[dependencies.dirs]
version = "5"

[dependencies.either]
version = "1.13.0"

[dependencies.fs2]
version = "0.4"

[dependencies.hashbrown]
version = "0.15.2"

[dependencies.regex]
version = "1.11.1"

[dependencies.reqwest]
version = "0.12"
features = [
    "blocking",
    "rustls-tls",
]
default-features = false

[dependencies.sha2]
version = "0.10"

[dependencies.shellexpand]
version = "3.1.1"

[dependencies.tokio]
version = "1.44.2"
features = ["full"]

[dependencies.tyml_diagnostic]
version = "0.1.4"

[dependencies.tyml_formatter]
version = "0.1.4"

[dependencies.tyml_generator]
version = "0.1.4"

[dependencies.tyml_grammar]
version = "0.1.4"

[dependencies.tyml_parser]
version = "0.1.4"

[dependencies.tyml_source]
version = "0.1.4"

[dependencies.tyml_type]
version = "0.1.4"

[dependencies.tyml_validate]
version = "0.1.4"
